Subject: [bug#29295] [PATCH] Few small patches for messaging.

From: Clément Lassieur <[email-masked]>
Date: Sat, 25 Nov 2017 00:01:14 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Rutger,
>
> (+ Cc: Clément who worked on this before.)
>
> Rutger Helling <[email-masked]> skribis:
>
>> I've looked into the failing test but have been unable to fix it
>> unfortunately. I suspect it's an issue with freetalk though. 
>>
>> When I use freetalk to try to connect to my running prosody 0.10 service
>> I get the same problem as with the failing test. It stays stuck on the
>> 'Authenticating' phase. 
>>
>> When I use a different client such as Pidgin to connect to my prosody
>> service it connects immediately. 
>
> OK, it does sound like a Freetalk issue, in which case we should just go
> ahead and update Prosody, and report the issue to [email-masked].
>
> Clément, any ideas?

I sent two patches that fix the issue, see
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29433.

This happened because Prosody removed DIGEST-MD5 auth mechanism since
0.10 (see https://prosody.im/doc/modules/mod_saslauth).  The other one
(SCRAM-SHA-1) seems to be unsupported by Freetalk.